LinuxQMISDK: LTEInfoIntrafreq Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
LTEInfoIntrafreq Struct Reference

## Data Fields
BYTE | ueInIdle
BYTE | plmn [3]
WORD | tac
ULONG | globalCellId
WORD | earfcn
WORD | servingCellId
BYTE | cellReselPriority
BYTE | sNonIntraSearch
BYTE | threshServingLow
BYTE | sIntraSearch
BYTE | cellsLen
cellParams | CellParams [255]

## Detailed Description

This structure contains information about the LTE Intra-Frequency Network.

Parameters

  ueInIdle | TRUE if the UE is in Idle mode, otherwise FALSE. 0xFF - Not Available
  plmn[PLMN_LENGTH] | PLMN ID coded as octet 3, 4, and 5.
  tac | Tracking area code. 0xFFFF - Not Available
  globalCellId | Global cell ID in the system information block. 0xFFFFFFFF - Not Available
  earfcn | E-UTRA absolute radio frequency channel number of the serving cell. Range: 0 to 65535. 0xFFFF - Not Available
  servingCellId | LTE serving cell ID. Range: 0 to 503. This is the cell ID of the serving cell and can be found in the cell list. 0xFFFF - Not Available
  cellReselPriority | Priority for serving frequency. Range: 0 to 7. This field is only valid when ue_in_idle is TRUE. 0xFF - Not Available
  sNonIntraSearch | S non-intra search threshold to control non-intrafrequency searches. Range: 0 to 31. This field is only valid when ue_in_idle is TRUE. 0xFF - Not Available
  threshServingLow | Serving cell low threshold. Range: 0 to 31. This field is only valid when ue_in_idle is TRUE. 0xFF - Not Available
  sIntraSearch | S Intra search threshold. Range: 0 to 31. The current cell measurement must fall below this threshold to consider intrafrequency for reselection. This field is only valid when ue_in_idle is TRUE. 0xFF - Not Available
  cellsLen | Provides the number of set of cell params. If 0(zero), then no information follows it.
  CellParams[MAX_DESCRIPTION_LENGTH] | See cellParams for more information.

## Field Documentation

cellParams LTEInfoIntrafreq::CellParams[255]

BYTE LTEInfoIntrafreq::cellReselPriority

BYTE LTEInfoIntrafreq::cellsLen

WORD LTEInfoIntrafreq::earfcn

ULONG LTEInfoIntrafreq::globalCellId

BYTE LTEInfoIntrafreq::plmn[3]

WORD LTEInfoIntrafreq::servingCellId

BYTE LTEInfoIntrafreq::sIntraSearch

BYTE LTEInfoIntrafreq::sNonIntraSearch

WORD LTEInfoIntrafreq::tac

BYTE LTEInfoIntrafreq::threshServingLow

BYTE LTEInfoIntrafreq::ueInIdle